org.appng.openapi.model

## Class User

- java.lang.Object
- - org.appng.openapi.model.User

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class User
      extends Object

  User

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_AUTHENTICATED`
    `static String` | `JSON_PROPERTY_DECIMAL_SEPARATOR`
    `static String` | `JSON_PROPERTY_EMAIL`
    `static String` | `JSON_PROPERTY_GROUPING_SEPARATOR`
    `static String` | `JSON_PROPERTY_LOCALE`
    `static String` | `JSON_PROPERTY_NAME`
    `static String` | `JSON_PROPERTY_NICK_NAME`
    `static String` | `JSON_PROPERTY_TIMEZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `User()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `User` | `authenticated(Boolean authenticated)`
    `User` | `decimalSeparator(String decimalSeparator)`
    `User` | `email(String email)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getAuthenticated()` Get authenticated
    `String` | `getDecimalSeparator()` The charactor used as a decimal separator.
    `String` | `getEmail()` The email address of the user.
    `String` | `getGroupingSeparator()` The charactor used when grouping numbers.
    `String` | `getLocale()` The IETF BCP 47 language tag for the user.
    `String` | `getName()` the user's real name
    `String` | `getNickName()` the user's nickname
    `String` | `getTimezone()` The name of the IANA time zone the user is located at.
    `User` | `groupingSeparator(String groupingSeparator)`
    `int` | `hashCode()`
    `User` | `locale(String locale)`
    `User` | `name(String name)`
    `User` | `nickName(String nickName)`
    `void` | `setAuthenticated(Boolean authenticated)`
    `void` | `setDecimalSeparator(String decimalSeparator)`
    `void` | `setEmail(String email)`
    `void` | `setGroupingSeparator(String groupingSeparator)`
    `void` | `setLocale(String locale)`
    `void` | `setName(String name)`
    `void` | `setNickName(String nickName)`
    `void` | `setTimezone(String timezone)`
    `User` | `timezone(String timezone)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_NAME

          public static final String JSON_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_NICK_NAME

          public static final String JSON_PROPERTY_NICK_NAME

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_AUTHENTICATED

          public static final String JSON_PROPERTY_AUTHENTICATED

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_EMAIL

          public static final String JSON_PROPERTY_EMAIL

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_LOCALE

          public static final String JSON_PROPERTY_LOCALE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TIMEZONE

          public static final String JSON_PROPERTY_TIMEZONE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_DECIMAL_SEPARATOR

          public static final String JSON_PROPERTY_DECIMAL_SEPARATOR

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_GROUPING_SEPARATOR

          public static final String JSON_PROPERTY_GROUPING_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### User

          public User()

  - ### Method Detail

    - #### name

          public User name(String name)

    - #### getName

          @Nullable
          public String getName()

      the user's real name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### nickName

          public User nickName(String nickName)

    - #### getNickName

          @Nullable
          public String getNickName()

      the user's nickname
      Returns:
        nickName

    - #### setNickName

          public void setNickName(String nickName)

    - #### authenticated

          public User authenticated(Boolean authenticated)

    - #### getAuthenticated

          @Nullable
          public Boolean getAuthenticated()

      Get authenticated
      Returns:
        authenticated

    - #### setAuthenticated

          public void setAuthenticated(Boolean authenticated)

    - #### email

          public User email(String email)

    - #### getEmail

          @Nullable
          public String getEmail()

      The email address of the user.
      Returns:
        email

    - #### setEmail

          public void setEmail(String email)

    - #### locale

          public User locale(String locale)

    - #### getLocale

          @Nullable
          public String getLocale()

      The IETF BCP 47 language tag for the user.
      Returns:
        locale

    - #### setLocale

          public void setLocale(String locale)

    - #### timezone

          public User timezone(String timezone)

    - #### getTimezone

          @Nullable
          public String getTimezone()

      The name of the IANA time zone the user is located at.
      Returns:
        timezone

    - #### setTimezone

          public void setTimezone(String timezone)

    - #### decimalSeparator

          public User decimalSeparator(String decimalSeparator)

    - #### getDecimalSeparator

          @Nullable
          public String getDecimalSeparator()

      The charactor used as a decimal separator.
      Returns:
        decimalSeparator

    - #### setDecimalSeparator

          public void setDecimalSeparator(String decimalSeparator)

    - #### groupingSeparator

          public User groupingSeparator(String groupingSeparator)

    - #### getGroupingSeparator

          @Nullable
          public String getGroupingSeparator()

      The charactor used when grouping numbers.
      Returns:
        groupingSeparator

    - #### setGroupingSeparator

          public void setGroupingSeparator(String groupingSeparator)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.